# OgrePixelFormat.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Classes

class | Ogre::PixelBox
| A primitive describing a volume (3D), image (2D) or line (1D) of pixels in memory. More...
class | Ogre::PixelUtil
| Some utility functions for packing and unpacking pixel data. More...

## Typedefs

typedef std::vector< PixelFormat > | Ogre::PixelFormatList

## Enumerations

enum

Ogre::PixelFormat {
Ogre::PF_UNKNOWN = 0, Ogre::PF_L8 = 1, Ogre::PF_BYTE_L = PF_L8, Ogre::PF_L16 = 2,
Ogre::PF_SHORT_L = PF_L16, Ogre::PF_A8 = 3, Ogre::PF_BYTE_A = PF_A8, Ogre::PF_A4L4 = 4,
Ogre::PF_BYTE_LA = 5, Ogre::PF_R5G6B5 = 6, Ogre::PF_B5G6R5 = 7, Ogre::PF_R3G3B2 = 31,
Ogre::PF_A4R4G4B4 = 8, Ogre::PF_A1R5G5B5 = 9, Ogre::PF_R8G8B8 = 10, Ogre::PF_B8G8R8 = 11,
Ogre::PF_A8R8G8B8 = 12, Ogre::PF_A8B8G8R8 = 13, Ogre::PF_B8G8R8A8 = 14, Ogre::PF_R8G8B8A8 = 28,
Ogre::PF_X8R8G8B8 = 26, Ogre::PF_X8B8G8R8 = 27, Ogre::PF_BYTE_RGB = PF_B8G8R8, Ogre::PF_BYTE_BGR = PF_R8G8B8,
Ogre::PF_BYTE_BGRA = PF_A8R8G8B8, Ogre::PF_BYTE_RGBA = PF_A8B8G8R8, Ogre::PF_A2R10G10B10 = 15, Ogre::PF_A2B10G10R10 = 16,
Ogre::PF_DXT1 = 17, Ogre::PF_DXT2 = 18, Ogre::PF_DXT3 = 19, Ogre::PF_DXT4 = 20,
Ogre::PF_DXT5 = 21, Ogre::PF_FLOAT16_R = 32, Ogre::PF_FLOAT16_RGB = 22, Ogre::PF_FLOAT16_RGBA = 23,
Ogre::PF_FLOAT32_R = 33, Ogre::PF_FLOAT32_RGB = 24, Ogre::PF_FLOAT32_RGBA = 25, Ogre::PF_FLOAT16_GR = 35,
Ogre::PF_FLOAT32_GR = 36, Ogre::PF_DEPTH = 29, Ogre::PF_SHORT_RGBA = 30, Ogre::PF_SHORT_GR = 34,
Ogre::PF_SHORT_RGB = 37, Ogre::PF_COUNT = 38
}

| The pixel format used for images, textures, and render surfaces. More...
enum | Ogre::PixelFormatFlags { Ogre::PFF_HASALPHA = 0x00000001, Ogre::PFF_COMPRESSED = 0x00000002, Ogre::PFF_FLOAT = 0x00000004, Ogre::PFF_DEPTH = 0x00000008, Ogre::PFF_NATIVEENDIAN = 0x00000010, Ogre::PFF_LUMINANCE = 0x00000020 }
| Flags defining some on/off properties of pixel formats. More...
enum | Ogre::PixelComponentType { Ogre::PCT_BYTE = 0, Ogre::PCT_SHORT = 1, Ogre::PCT_FLOAT16 = 2, Ogre::PCT_FLOAT32 = 3, Ogre::PCT_COUNT = 4 }
| Pixel component format. More...

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:21 2009